List all workflow definitions
GET
/api/admin/workflow/definitions
const url = 'https://example.com/api/admin/workflow/definitions';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/admin/workflow/definitions \ --header 'Authorization: Bearer <token>'Retrieves all configured workflow definitions
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”List of workflow definitions
Media typeapplication/json
object
count
required
Total number of workflow definitions
number
items
required
Array of workflow definitions
Array<object>
object
id
required
Unique workflow identifier
string
connectionId
required
References parent workflow connection
string
name
required
Human-readable workflow name
string
description
Workflow description
string
processDefinitionKey
External engine process definition key
string
initialTriggerUrl
URL to trigger the start of the workflow
string
Example
{ "items": [ { "id": "content-approval", "connectionId": "camunda-prod", "name": "Content Approval", "description": "Standard content approval workflow", "processDefinitionKey": "content-approval-v1", "initialTriggerUrl": "/webhook/12345678-abcd-efgh-ijkl-1234567890ab/start" } ]}Internal server error
Media typeapplication/json
object
error
required
Indicates an error occurred
boolean
message
required
Error message describing what went wrong
string
Example
{ "error": true, "message": "Item not found"}